Class | WSDL::SOAP::HeaderFault
In: | wsdl/soap/headerfault.rb
Parent: | Info

### Methods

new parse_attr parse_element

### Attributes

encodingstyle | [R] |
message | [R] |
namespace | [R] |
part | [R] |
use | [R] |

### Public Class methods

new()

[Source]

    # File wsdl/soap/headerfault.rb, line 23
      def initialize
        super
        @message = nil
        @part = nil
        @use = nil
        @encodingstyle = nil
        @namespace = nil
      end

### Public Instance methods

parse_attr(attr, value)

[Source]

    # File wsdl/soap/headerfault.rb, line 36
      def parse_attr(attr, value)
        case attr
        when MessageAttrName
          @message = value
        when PartAttrName
          @part = value.source
        when UseAttrName
          @use = value.source
        when EncodingStyleAttrName
          @encodingstyle = value.source
        when NamespaceAttrName
          @namespace = value.source
        else
          nil
        end
      end

parse_element(element)

[Source]

    # File wsdl/soap/headerfault.rb, line 32
      def parse_element(element)
        nil
      end

[Validate]